
image indicator:
    #"light" with dissolve
    "light"
    pause 0.7
    #"light glow" with dissolve
    "light glow"
    pause 0.7
    repeat

screen indicatorlight():
    add "indicator"

define config.end_splash_transition = fade

define wfade = Fade(0.5, 0.5, 0.5, color="#ffff")

define config.default_fullscreen = True

label start:

    play music "audio/circuitry.mp3" loop

    "Neo-Okinawa. City of circuits and sorrow, rust and rain."
    "Another rotation. The sun bleeds through the smog, same sickly yellow as yesterday. Same as tomorrow."
    "They built this place reaching for the sky, all chrome and prayer. Now the chrome's flaking and the prayers are just static on the comms."
    "Look at them scurry. Little data-ghosts chasing flickering credits, dreaming of upload or just a full synthetic stomach."
    "The air tastes like ozone, burnt sugar, and damp concrete. Familiar."
    "Doesn't matter where you walk. Left, right, forward. It all loops back eventually. To the same grime. The same tired neon promises."
    "Just keep moving. Habit, mostly. Nothing better to do."
    "Huh."
    "Just another crack in the facade. Dark. Smells worse than the street, if that’s possible."
    "But-"
    "There is something. A pull? No, that’s stupid. It’s just an alley."
    "Empty space where the city forgot to build something."
    "Still. Why do I feel like...?"
    "It's quiet. Too quiet. Like it inhaled all the noise."
    "What's down there? Probably just rats. Big ones."
    "Or... something else."

    menu:

        "Go down the alley.":
            jump go_down_alley
        "Look around first.":
            jump look_around_first
        "Turn away.":
            jump turn_away

label look_around_first:

    "Alright, play it cool. No need to dive headfirst into every shadow."
    "Building on the left, Ex-pachinko joint. Sign's dead, windows boarded with synth-plast. Looks like it hasn't paid its juice bill in cycles."
    "Right side, Resi-block. Standard grim stack. Pipes leaking the usual nutrient paste runoff. Someone's drying synthetic kelp on a balcony rail three floors up. Classic Neo-Okinawa décor."
    "Street's busy as always. Delivery drone weaves through the pedestrians. Kid with glowing optic implants chasing a chrome-plated pigeonoid. Nothing out of the ordinary. Nothing worth noticing."
    "So why does this gap in the world still feel like it's yelling to me? Silently."
    "Just grit and refuse down there. Shadows playing tricks."
    "Standard mess. Overflowing dumpster, slick patch of something oily on the ground, faded graffiti tags layering over each other like dead skin... Wait."
    "What's that? A light."
    show screen indicatorlight
    "Small. Red. Blinking."
    "Like an eye. Or a warning."
    "Or just some busted piece of tech someone tossed."
    "But it wasn't there a second ago. Or I didn't see it."
    "Now. I can't look away."

    jump blinking_light

label go_down_alley:

    "Curiosity. Or boredom. Or maybe just because it's there."
    "Whatever pulls me, I'm answering. Screw caution."
    "Smells like damp earth, rust, and something vaguely chemical. An upgrade from the street's burnt sugar, at least."
    "Walls feel damp. Coated in generations of grime. You could probably core-sample it and tell the city's history. The rise and fall of nutrient paste brands, the introduction of airborne anti-psychotics..."
    "That pull. It's stronger in here. Like static cling on your soul."
    "Feels like the air pressure dropped. Or maybe that's just me."
    show screen indicatorlight
    "There. Knew I wasn't imagining things."
    "A little red pulse in the dark. Steady."
    "Like a heartbeat."
    "Attached to something? Or just blinking?"

    jump blinking_light

label turn_away:

    "Nah. Forget it."
    "Just an alley. Got enough problems without hunting for new ones in the dark."
    "Probably leads to a dead end full of bio-sludge and desperate synthetics. Seen it before."
    "Time to keep moving. Find a noodle stall that hasn't been shut down by the health-enforcers yet. Yeah. That's a plan."
    "Just keep walking..."
    "Wha--?"
    "My feet stopped."
    "Can't move forward."
    "It's like hitting a wall made of nothing."
    "No. No way."
    "What is this?"
    "It's pulling me back. Like a wire hooked into my spine."
    show screen indicatorlight
    "And there it is."
    "The light. Blinking."
    "Okay. Fine."
    "Looks like I wasn't given a choice after all."

    jump blinking_light

label blinking_light:

    "Blink. Blink. Blink."
    "Steady as a dying pulse."
    "Not just a loose diode. It's attached to something."
    "A monitor? Down here? Thing looks like a relic from before the Sky-Pillars were even blueprints."
    "Dusty. Cracked casing. But- it's on."
    "The light's just a power indicator, maybe? No. It feels more deliberate."
    "It's a camera feed? Yeah. Low-res, noisy signal. Showing an alley."
    "Not this alley. Somewhere else."
    "Live feed? Or recorded loop?"
    scene cam1 with pixellate
    "A woman."
    "Black hair. Simple clothes."
    "She's looking right at the camera. Right at me?"
    "Lying there. Like she's waiting. Or watching."
    "Is this real-time? Is she down some other filth-choked passage right now, staring into a lens linked to this forgotten box?"
    "Or is this just a data-ghost? A recording stuck on repeat?"
    "Why? What does this mean? Some kind of hacker art? A trap? A warning? Feels too direct for any of those."
    "The pull brought me here. To watch a stranger watch me back from another slice of urban decay."
    "Doesn't make sense. My logic circuits are grinding against static. But I can't look away."
    "Who is she? And why is she looking at me like she knows something?"

label buttonpress:

    menu:

        "Press Button 1.":
            jump button1
        "Press Button 2.":
            jump button2
        "Press Button 3.":
            jump button3

label button1:
    "Alright. Let's try this one."
    "...Nothing."
    "No change on the screen. No sound beyond the click."
    "The woman hasn't moved. Still staring."
    "The red light still blinks."
    "Wait. Maybe not nothing."
    "Look at the light on the monitor feed. The way the shadows fall in her alley."
    "It matches the light filtering down into this one. The angle, the weak yellow quality- It's definitely afternoon there, same as here."
    "This isn't a recording."
    "This is happening now."
    "Okay. Real-time feed confirmed."
    jump buttonpress

label button2:
    "What about this?"
    "Nothing obvious."
    "No dramatic shift. No response."
    "But. Watch her closely."
    "There."
    "She's breathing. Blinking."
    "Small movements. Easy to miss on this grainy feed."
    "But she's alive. Real. Looking out from that screen, right now."
    "Okay. No fireworks."
    jump buttonpress

label button3:
    "Button three."
    "What secrets does the third switch flip?"
    "Feels like rolling dice loaded with static."
    "Here goes."
    "That sounded odd."
    "Huh?"
    "They're stiff. Locked."
    "Won't depress."
    "The light. It stopped blinking. Or changed."
    "Okay. Something definitely happened."
    "But what?"
    "Screen's the same. She's still there."
    "But the machine accepted the input. Processed it."
    "Is something happening on her end? Or mine?"
    "This silence feels heavy."
    "Waiting for the other shoe to drop. Or the circuit to blow."
    jump aftermath

label aftermath:
    "Nothing. Still nothing. For a moment."
    "Just the dead light and the steady hum."
    "Wait..."
    scene cam2 with pixellate
    "She's sitting up."
    "Why now? Did the button do this?"
    "Not looking at the camera anymore."
    "Not looking at me."
    "She's looking at something else. Or someone."
    "What does she see?"
    "..."
    "I can't look away."
    "Nudity's just data here. Code, implants, carefully curated aesthetic. Never anything real."
    "But this..."
    "No chrome. No ports. No synthetic overlays. Just skin and bone."
    "How is that even possible?"
    "Never thought I'd see it. An untouched human."
    "Is she even real? Or some elaborate illusion?"
    "That's it. That feeling. Even through the monitor. Through the static."
    "Vitality. Like a flame in the rain. Makes the circuits hum a little louder."
    "What triggered this? The button? Or was she always going to sit up, look away, reveal herself at this exact moment?"
    "And what is she looking at so intently? What does she see beyond the frame?"
    "Whatever it is, it's more interesting than me."
    "Vitality. A word I haven't thought in cycles."
    "Is that what pure humanity feels like? Or is this just another simulation designed to feel real?"
    "And still. What is she looking at?"
    "The light. It's blinking again."
    "Back to normal? Or is this a new phase?"
    "And the buttons, they're active."
    "Unlocked."
    "Just like that."
    "So, pressing the third one wasn't the end. It was a stage? An event trigger?"
    "She sat up. Looked away. Revealed vulnerability? Or just indifference?"
    "And now the controls are back online."
    "She's still looking off-screen. Whatever caught her attention still has it."
    "The system reset itself, but her focus hasn't."
    "So, what now?"
    "Press them again? The same one? A different order?"
    "Will it change the feed? Make her look back? Show me what she's seeing?"
    "Or will it just loop the sequence?"
    "This feels less like an interface and more like poking a sleeping synth-beast."
    "Do I push my luck? Or just stand here and watch until the power fails or the rats chew through the cables?"
    "What am I even trying to achieve?"

label buttonpress2:

    menu:

        "Button 1":
            jump button1_2
        "Button 2":
            jump button2_2
        "Button 3":
            jump button3_2

label button1_2:

    "Let's try the first one. Maybe it cycles through functions? Or maybe it was just a dud the first time."
    "..."
    "Nothing."
    "Absolutely nothing."
    "Still looking off-screen. Still breathing."
    "The light still blinks. The other buttons are still active."
    "So, Button 1 does nothing? Or nothing yet?"
    "Maybe it needs to be pressed in combination? Or maybe it's just broken."
    "Pointless."
    jump buttonpress2

label button2_2:

    #Scene Variant 2: Result of Pressing Button 2 (Again)

    "Alright, Button 2."
    #" The second press did... something subtle before. Breathing, blinking confirmation."
    "What will it do now? After the 'event' triggered by Button 3?"
    "Here we go."
    scene cam3 with pixellate
    "She's looking back. At me."
    "That stare. It's different now. Sharper. Like she saw something and now she's evaluating me based on it."
    "What is she?"
    "Gods and circuits."
    "Unmodified. Completely."
    "No seams, no ports, no chrome glinting under the grime. Just. Flesh."
    "Perfectly imperfect. Skin that looks soft, vulnerable."
    "It's surreal."
    "Like looking at an artifact from a lost age. Something that shouldn't exist in Neo-Okinawa."
    "I've seen countless bodies – synth-skin, bio-sculpts, vat-grown muscle layered over plasteel bones. But this..."
    "This feels alien. More alien than any Xylosian hybrid or data-form entity."
    "It sparks something."
    "Recognition? Longing? Confusion? I don't have the data labels for this feeling."
    "Just awareness."
    "That look..."
    "It's not passive. It's not inviting."
    "It's questioning."
    "Like she sees right through my own worn chassis, my own compromises, my own faded hopes buried under layers of city grit."
    "It makes me ask."
    "Who am I, standing in this alley, watching this impossible woman through a broken monitor?"
    "What is this life, this city, this endless cycle of decay and flickering neon?"
    "What am I doing?"
    "Her silence screams louder than any synth-siren."
    "Those eyes. They don't let go. Like twin blue singularities, pulling everything in."
    "This impossible body. A relic walking and breathing in some other forgotten corner of this rust-bucket world."
    "Skin like, well, like skin. Not synth-weave, not bio-foam, not chrome plate. Just skin."
    "Flawed. Alive. Utterly alien."
    "That spark, that vitality, it's almost painful to look at. A reminder of something lost, or maybe something never had."
    "My own reflection feels like a cheap imitation flickering on a broken screen compared to this."
    "What does she want? What is she trying to say with this silence, this stare?"
    "Is the monitor glitching? There's movement? No, not movement. A distortion near the ground beneath her?"
    "Liquid?"
    "Wait."
    "Is she?"
    "...Peeing."
    "She's just peeing. Right there. Staring at me."

    "Why?"
    "Why am I watching this?"
    "Some random woman in some random alley, displayed on a junk monitor, revealing herself, staring me down, and now this."
    "It's not provocative. Not like the curated shock-vids peddled in the data dens."
    "It's base. Biological. Stripped of all pretense."
    "In Neo-Okinawa, waste is processed, sanitized, hidden. Bodies are machines to be optimized, fluids managed by internal processors and discrete ports."
    "This is messy. Real. An undeniable fact of unmodified life."
    "And I can't look away."
    "If anything, it draws me in deeper."
    "Why? Why does this raw, unfiltered display resonate more than any perfectly sculpted synth model or dazzling cybernetic enhancement?"
    "Is this part of the 'vitality'? This, too? The simple, unglamorous functions of a living organism?"
    "It feels intimate. Invasive. Yet she's the one performing, offering this strange, vulnerable display without flinching."
    "Her eyes haven't changed. Still boring into me. Still asking those silent questions."
    "Maybe the question isn't who she is, but what she represents."
    "The messy, inconvenient, undeniable reality beneath the chrome and circuits."
    "The part of existence this city tries so hard to pave over, sanitize, and forget."
    "Looking at her, looking at this, it makes the static in my head louder."
    "The questions pile up like junk heaps in the lower sectors."
    "Who am I? What is this world built on? What have we become, trading flesh and fluid for wires and code?"
    "Did we gain anything? Or just lose the signal?"
    "This feeling is not arousal, not disgust. It's resonance. A chord struck deep inside, vibrating with a frequency I don't understand."
    "Confusion. Intrigue. And something akin to wonder?"
    "Wondering what it means to be simply, undeniably, messily alive."

    "Alive. Messy. Real."
    "The words echo in the hollow spaces inside me."
    "This strange intimacy, watching this fundamental act, met with that relentless gaze."
    "It's stripping away layers. Not just her clothes, but my own carefully constructed apathy."
    "And beneath it."
    "What? No."
    "This feeling..."
    "Arousal."
    "Sharp. Intense. Like finding a live wire in a pile of dead tech."
    "Haven't felt this pull in so long."
    "Everyone's jaded here. Numbed by the constant stream, the endless upgrades, the synthetic replacements for everything real."
    "Forgot how strong it could be. This basic, animal drive."
    "Her eyes, her form, the sheer reality of her."
    "Vision blurring slightly at the periphery. Only the monitor matters. Only her."
    "Need. Completion. Release."
    "The thought slams in, overriding everything else."
    "Just. Need to."
    "Struggling. Clumsy. But the need..."
    "Gods... almost..."
    "Wha--?!"
    "No. Impossible."
    "My hand must have slipped."
    "In the rush. Must have hit one of the buttons again."
    "Yeah. That's it. Just bumped it."
    "Just a glitch. Triggered by me. Accidental input."
    "Get a grip."
    jump end1

label button3_2:

    "Button 3."
    #" again. Last time it shifted things. Locked the controls, made her sit up, look away."
    #"Felt like activating a sequence."

    "What happens if I run sequence B?"
    "No logic here. Just pushing buttons in the dark."
    "Okay. Input accepted."
    "Buttons locked again? No. They seem active this time."
    "But the whirr means something changed."
    "Undressing."
    "But she's not looking at me."
    scene cam4 with pixellate
    "Still focused on whatever is up there."
    "Before, it felt like a confrontation. A questioning."
    "Now it feels like I'm witnessing something private, or perhaps a performance directed by someone else."
    "What is she looking at so intently?"
    "Is there another screen up there? A drone hovering just out of frame? A person standing on a fire escape?"
    "The intensity hasn't lessened. If anything, it's more pronounced now that her body is fully exposed but her attention is elsewhere."
    "That energy. Raw vitality. It floods the screen even grainy and monochrome."
    "No enhancements, no visible mods. Just human. A baseline."
    "It's captivating. More captivating than any high-res synth-model display or intricately chromed limb."
    "Overwhelming."
    "Her hand."
    "It's not reaching for anything. It's moving down."
    "Between her legs."
    "No. Is she...?"
    "She is."
    "Right there. While staring at whatever she's staring at."
    "Arousal. Unmistakable."
    "But not directed at me. Not even acknowledged towards me."
    "Did I cause this? Did pressing Button 3 make her do this?"
    "Is this monitor some kind of remote control for this poor woman's body?"
    "Or is this part of her interaction with whatever she's looking at?"
    "Is someone else directing her? Making her perform?"
    "The timing feels connected to the button, but the action feels separate. Like I just tuned into a specific broadcast frequency."
    "This is intense. In a way manufactured experiences never are."
    "We're told synth-pleasure modules, neural stimulators, perfected bio-feedback loops, that's peak sensation."
    "Cleaner. More efficient. Better."
    "That natural urges are messy, primitive, easily surpassed by tailored code."
    "So why am I glued to this spot?"
    "Why does watching this raw, unsimulated act, maybe coerced, maybe voluntary, aimed at something unseen, why does it cut through the noise?"
    "Why does this unmodified woman, lost in sensation completely separate from me, feel more real, more potent, than anything this city has ever offered?"
    "Is the baseline, the messy, unpredictable, biological reality, is it stronger than we admit?"
    "She's lost."
    "Not looking at me. Not looking at whatever she was staring at before."
    "Just gone. Into the sensation."
    "Raw. Unfiltered. Like nothing I've ever witnessed."

    "Gods... Look at her face."
    "Pure overload. Every circuit breaker blown."
    "Her entire being focused down to a single point of raw feeling."

    "Watching... just watching."
    "This raw display of existence."
    "Now."
    scene cam5 with pixellate
    "She's squirting."
    "Like a burst pipe. Just pure release."
    "Juices everywhere."
    "Whoa..."
    "I felt that."
    "Not physically, not in my own body, but deeper."
    "Like the signal bypassed my local network and went straight to the core processing unit."
    "Her release washing over me."
    "What was that?"
    "This connection across the static, through the glass."
    "To her? Or to the feeling itself?"
    "It felt ancient."
    "Primal."
    "Like tapping into a hidden layer of code beneath the city's operating system."
    "Something from before. Before the chrome, before the synth, before the endless modifications."
    "Before we forgot what it meant to just be. To feel like that."
    "Forgotten. Buried under layers of progress and efficiency."
    "But meaningful."
    "Somehow, watching that raw, messy, uncontrollable moment... felt more meaningful than anything manufactured, anything simulated."
    "A glimpse of the baseline reality we traded away."
    "And it shakes me."
    scene cam6 with pixellate
    "Collapsed."
    "Like a marionette whose strings were suddenly cut."
    "Spent. Utterly drained."

    "Still not back. Still disconnected."
    "Floating in the echo of whatever that was."
    "Just breathing. Existing."
    "Surrounded by the physical proof of that detonation."

    "What just happened here?"
    "I watched a stranger, an impossible baseline human, through a broken monitor in a forgotten alley."
    "Watched her disconnect from everything, touch herself, and then... explode."
    "And I felt it. Not physically, but fundamentally."
    "Like a shared signal across incompatible networks. A ghost in my machine responding to a ghost in hers."
    "That connection, that surge, it defied logic. It defied the sterile reality of Neo-Okinawa."
    "Where did it come from?"
    "Felt like digging through layers of corrupted data and hitting a core protocol. Something ancient, fundamental."
    "Primal."
    "The raw code of biological existence, before we started rewriting everything."
    "We have implants for empathy, subroutines for simulated connection, chemical drips for manufactured bliss."
    "They're clean. Predictable. Contained."
    "This was none of those things."
    "It was messy, chaotic, overwhelming. And undeniably real. More real than anything synthesized."
    "I can't comprehend it."
    "My processors churn, trying to categorize, analyze, file it away under some known variable."
    "But there's no file path for this."
    "It resists definition."
    "Watching her collapse, spent and raw amidst her own fluids... it should be clinical, maybe disgusting by old-world standards."
    "But it feels profound."
    "Meaningful."
    "Why? What meaning can be found in this raw, uncontrolled biological event?"
    "Why does it resonate more than the calculated perfection of a thousand optimised simulations?"
    "I want to understand."
    "There's a desperate edge to that wanting. A need to grasp the significance of that connection, that glimpse of something foundational."
    "But it remains just out of reach, like trying to hold static."
    "It just is. A moment of pure, unfiltered existence broadcast across the void. And I was the receiver."
    "And it changed something. Shifted the signal-to-noise ratio inside my own head."
    "Left me staring at this spent woman on a flickering screen, feeling more lost and yet more connected than ever before."
    jump end2

label end1:

    #Ending Scene 1 (Following the Peeing Scene Path)

    "Just static."
    "Inside and out."
    "My own systems still feel scrambled. That unexpected surge, the release, hitting the button."
    "And her. Still there. Watching."
    "Did she see? Did she know? That glitch felt too timed."
    "She's moving again?"
    scene cam7 with pixellate
    "Back to the start."
    "Prone. Watching."
    "But not the same."
    "She's nude now. And."
    "Smiling."
    "Like she knows something."
    "Like she saw everything."
    "Not just me watching her but me reacting. Me questioning everything under that relentless gaze."
    "Me, losing control for a moment."
    "That smile. It's not warm. It's sharp."
    "It says, \"I saw you. I saw your messy, inconvenient biological response. I saw your confusion. I saw you fumble and finish like a desperate animal.\""
    "It says, \"You pretend to be above this, all circuits and calculated responses, but you're just like me. Base. Driven by things you don't understand.\""
    "That whole sequence... the buttons, the stare, the peeing... it wasn't random."
    "It was a test. A mirror."
    "Forcing me to confront the raw reality, the biological imperative this city tries so hard to suppress."
    "And I reacted exactly as predicted."
    "What does it mean? Is this monitor just a window? Or is she connected? Aware?"
    "This knowing smile. It doesn't offer answers. It just deepens the questions."
    "Questions about myself. About the flimsy facade of control we all wear."
    "She saw right through mine."
    "I came down this alley looking for what? Distraction? Answers?"
    "Found a broken monitor showing an impossible woman who held up a mirror to my own base nature."
    "And she knows it."
    "What do I do now? Turn away? Smash the screen?"
    "Or just stand here, caught in the loop, stared down by a grainy image that knows too much?"
    return

label end2:

    #Ending Scene 2 (Following the Squirting Scene Path)

    "Meaningful but incomprehensible."
    "That surge. That connection."
    "Like touching the source code."
    "Left me shaking."
    "And her spent."
    "Proof that something undeniably real happened."

    "She's recovering? Already?"
    scene cam7 with pixellate
    "Back where we started."
    "Lying there. Looking right at me."
    "But everything has changed."
    "She's nude. And her expression..."

    "She's smiling."
    "Like she knows what I felt."
    "Like she knows we felt it."
    "That surge. That ancient, primal frequency."
    "That smile... it's an invitation. Or a confirmation."
    "It says, \"You felt it too, didn't you? The real power. The thing they tried to bury under chrome and code.\""
    "It says, \"The simulations are lies. The upgrades are distractions. This is the baseline. This is the source.\""
    "The buttons... the sequence... the climax..."
    "It wasn't just watching. It was participating."
    "Somehow, through this relic, through her impossible existence, I tapped into it."
    "The raw, messy, uncontrollable force of life itself."
    "And she knows I did."
    "What is she? A conduit? A prophet broadcasting from the fringes? A glitch in the system revealing the truth?"
    "Her smile doesn't explain. It acknowledges."
    "It acknowledges the shared moment, the shared glimpse of something profound and terrifyingly real."
    "It shattered the illusion, peeled back the layers of synthetic sensation."
    "I came down this alley drawn by a feeling I didn't understand."
    "Found a gateway. A connection to something forgotten."
    "Something powerful. Something meaningful."
    "And now what?"
    "Can I go back to the numb reality after tasting this?"
    "Can I un-feel that connection?"
    "Her smile suggests no."
    "The signal has been received."

    return

label splashscreen:

    scene white with wfade

    pause 0.5

    scene splash with wfade

    play sound "audio/gamepad.mp3"

    pause 4.0

    stop sound
